Subject: [Tigers] Seat handles

From: "Curt Hoffman" <[email-masked]>
Date: Mon, 26 Nov 2012 11:39:03 -0500

Does anyone have a good substitute for the rubber / plastic (whatever they
started as) handle covers on the seat back release handle? I don't see any
listed anywhere.  Mine have morphed into a broken mess of some mystery
composition. I was thinking about dipping the handles in the rubber compound
used to coat tool handles and the like but would go easier if there is
something around.

Thanks

Curt
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]